curl --request GET \
--url https://api.example.com/api/orderbookimport requests
url = "https://api.example.com/api/orderbook"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/orderbook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/orderbook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/orderbook"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/orderbook")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/orderbook")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"polymarket": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"opinion": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"probable": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"predictfun": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"limitless": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"combined": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get outcome orderbook
Returns price levels for one outcome across available platforms, plus a combined book.
You can pass token ids for YES/NO sides (or market id for supported platforms) and use the response to show depth, best price, and cross-platform comparison.
curl --request GET \
--url https://api.example.com/api/orderbookimport requests
url = "https://api.example.com/api/orderbook"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/orderbook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/orderbook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/orderbook"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/orderbook")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/orderbook")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"polymarket": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"opinion": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"probable": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"predictfun": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"limitless": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
},
"combined": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"no": {
"asks": [
[
123
]
],
"bids": [
[
123
]
]
},
"yes_price": 123,
"no_price": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Polymarket YES token id.
Polymarket NO token id.
Opinion YES token id.
Opinion NO token id.
Probable YES token id.
Probable NO token id.
Predictfun market id.
Limitless market slug.
Limitless YES token id.
Limitless NO token id.
Response
Successful Response
Combined orderbook response
Normalized platform-specific orderbook
Show child attributes
Show child attributes
Normalized platform-specific orderbook
Show child attributes
Show child attributes
Normalized platform-specific orderbook
Show child attributes
Show child attributes
Normalized platform-specific orderbook
Show child attributes
Show child attributes
Normalized platform-specific orderbook
Show child attributes
Show child attributes
Normalized platform-specific orderbook
Show child attributes
Show child attributes
